zenilib: EFXEAXREVERBPROPERTIES Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
EFXEAXREVERBPROPERTIES Struct Reference

`#include <efx-presets.h>`

## Public Attributes

float | flAirAbsorptionGainHF
float | flDecayHFRatio
float | flDecayLFRatio
float | flDecayTime
float | flDensity
float | flDiffusion
float | flEchoDepth
float | flEchoTime
float | flGain
float | flGainHF
float | flGainLF
float | flHFReference
float | flLateReverbDelay
float | flLateReverbGain
float | flLateReverbPan [3]
float | flLFReference
float | flModulationDepth
float | flModulationTime
float | flReflectionsDelay
float | flReflectionsGain
float | flReflectionsPan [3]
float | flRoomRolloffFactor
int | iDecayHFLimit

## Detailed Description

Definition at line 8 of file efx-presets.h.

## Member Data Documentation

float EFXEAXREVERBPROPERTIES::flAirAbsorptionGainHF

Definition at line 27 of file efx-presets.h.

Referenced by LoadEffect(), and LoadReverbPreset().

float EFXEAXREVERBPROPERTIES::flDecayHFRatio

Definition at line 15 of file efx-presets.h.

Referenced by LoadEffect(), and LoadReverbPreset().

float EFXEAXREVERBPROPERTIES::flDecayLFRatio

Definition at line 16 of file efx-presets.h.

Referenced by LoadEffect(), and LoadReverbPreset().

float EFXEAXREVERBPROPERTIES::flDecayTime

Definition at line 14 of file efx-presets.h.

Referenced by LoadEffect(), and LoadReverbPreset().

float EFXEAXREVERBPROPERTIES::flDensity

Definition at line 9 of file efx-presets.h.

Referenced by LoadEffect(), and LoadReverbPreset().

float EFXEAXREVERBPROPERTIES::flDiffusion

Definition at line 10 of file efx-presets.h.

Referenced by LoadEffect(), and LoadReverbPreset().

float EFXEAXREVERBPROPERTIES::flEchoDepth

Definition at line 24 of file efx-presets.h.

Referenced by LoadEffect(), and LoadReverbPreset().

float EFXEAXREVERBPROPERTIES::flEchoTime

Definition at line 23 of file efx-presets.h.

Referenced by LoadEffect(), and LoadReverbPreset().

float EFXEAXREVERBPROPERTIES::flGain

Definition at line 11 of file efx-presets.h.

Referenced by LoadEffect(), and LoadReverbPreset().

float EFXEAXREVERBPROPERTIES::flGainHF

Definition at line 12 of file efx-presets.h.

Referenced by LoadEffect(), and LoadReverbPreset().

float EFXEAXREVERBPROPERTIES::flGainLF

Definition at line 13 of file efx-presets.h.

Referenced by LoadEffect(), and LoadReverbPreset().

float EFXEAXREVERBPROPERTIES::flHFReference

Definition at line 28 of file efx-presets.h.

Referenced by LoadEffect(), and LoadReverbPreset().

float EFXEAXREVERBPROPERTIES::flLateReverbDelay

Definition at line 21 of file efx-presets.h.

Referenced by LoadEffect(), and LoadReverbPreset().

float EFXEAXREVERBPROPERTIES::flLateReverbGain

Definition at line 20 of file efx-presets.h.

Referenced by LoadEffect(), and LoadReverbPreset().

float EFXEAXREVERBPROPERTIES::flLateReverbPan[3]

Definition at line 22 of file efx-presets.h.

Referenced by LoadEffect(), and LoadReverbPreset().

float EFXEAXREVERBPROPERTIES::flLFReference

Definition at line 29 of file efx-presets.h.

Referenced by LoadEffect(), and LoadReverbPreset().

float EFXEAXREVERBPROPERTIES::flModulationDepth

Definition at line 26 of file efx-presets.h.

Referenced by LoadEffect(), and LoadReverbPreset().

float EFXEAXREVERBPROPERTIES::flModulationTime

Definition at line 25 of file efx-presets.h.

Referenced by LoadEffect(), and LoadReverbPreset().

float EFXEAXREVERBPROPERTIES::flReflectionsDelay

Definition at line 18 of file efx-presets.h.

Referenced by LoadEffect(), and LoadReverbPreset().

float EFXEAXREVERBPROPERTIES::flReflectionsGain

Definition at line 17 of file efx-presets.h.

Referenced by LoadEffect(), and LoadReverbPreset().

float EFXEAXREVERBPROPERTIES::flReflectionsPan[3]

Definition at line 19 of file efx-presets.h.

Referenced by LoadEffect(), and LoadReverbPreset().

float EFXEAXREVERBPROPERTIES::flRoomRolloffFactor

Definition at line 30 of file efx-presets.h.

Referenced by LoadEffect(), and LoadReverbPreset().

int EFXEAXREVERBPROPERTIES::iDecayHFLimit

Definition at line 31 of file efx-presets.h.

Referenced by LoadEffect(), and LoadReverbPreset().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/openal-soft/include/AL/efx-presets.h